commit:     2e1e4b38a2f403574ea5bb0e3b1a2c5ec8f3fe07
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  7 08:30:09 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Apr  7 08:30:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e1e4b38

dev-ruby/net-http-pipeline: enable ruby33

Fix minitest deprecation.

Closes: https://bugs.gentoo.org/928870
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/net-http-pipeline/net-http-pipeline-1.0.1-r1.ebuild | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/dev-ruby/net-http-pipeline/net-http-pipeline-1.0.1-r1.ebuild 
b/dev-ruby/net-http-pipeline/net-http-pipeline-1.0.1-r1.ebuild
index 513ac728e47d..97042d4f6d06 100644
--- a/dev-ruby/net-http-pipeline/net-http-pipeline-1.0.1-r1.ebuild
+++ b/dev-ruby/net-http-pipeline/net-http-pipeline-1.0.1-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
 
 inherit ruby-fakegem
 
@@ -12,7 +12,7 @@ HOMEPAGE="https://docs.seattlerb.org/net-http-pipeline/";
 LICENSE="MIT"
 SLOT="1"
 KEYWORDS="~amd64"
-IUSE=""
+IUSE="test"
 
 ruby_add_bdepend "
        test? ( dev-ruby/minitest )
@@ -20,6 +20,9 @@ ruby_add_bdepend "
 
 all_ruby_prepare() {
        eapply -p0 "${FILESDIR}/${PN}-accept-encoding.patch"
+
+       sed -e 's/MiniTest::Unit::TestCase/Minitest::Test/' \
+               -i test/test_net_http_pipeline.rb || die
 }
 
 each_ruby_test() {

Reply via email to